﻿--[[
	Project: AutoRole
	Version: 3.1
	Website: http://wow.curseforge.com/addons/auto-role/
	Author: Erfolg

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>. 
]] 
local roleFrame = CreateFrame("FRAME", "roleFrame")
roleFrame:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
roleFrame:RegisterEvent("GROUP_ROSTER_UPDATE")
local function getRole(self, event, ...)
	local currentSpec = GetSpecialization()
	if currentSpec == nil then
		UnitSetRole("player", "NONE")
	else
		local currentRole = GetSpecializationRole(currentSpec)
		local currentSpecName = currentSpec and select(2, GetSpecializationInfo(currentSpec))
		UnitSetRole("player", currentRole)
	end
end
roleFrame:SetScript("OnEvent", getRole)
RolePollPopup:SetScript("OnShow",function() RolePollPopupAcceptButton:Click() end)
DEFAULT_CHAT_FRAME:AddMessage("\124cFF33FFFF<AutoRole> 3.1")